From 0b36e10d72aca750fc1dbfe5ec1f451901edc22e Mon Sep 17 00:00:00 2001
From: Vijay Kiran Kamuju <infyquest@gmail.com>
Date: Mon, 13 Apr 2020 13:18:38 +0200
Subject: [PATCH 2/2] opengl32: add stub wglSwapMultipleBuffers

Signed-off-by: Vijay Kiran Kamuju <infyquest@gmail.com>
---
 dlls/opengl32/opengl32.spec |  2 +-
 dlls/opengl32/wgl.c         | 10 ++++++++++
 include/wingdi.h            |  9 +++++++++
 3 files changed, 20 insertions(+), 1 deletion(-)

diff --git a/dlls/opengl32/opengl32.spec b/dlls/opengl32/opengl32.spec
index 03233a69a1..c242beff09 100644
--- a/dlls/opengl32/opengl32.spec
+++ b/dlls/opengl32/opengl32.spec
@@ -361,7 +361,7 @@
 @ stdcall wglShareLists(long long)
 @ stdcall wglSwapBuffers(long)
 @ stdcall wglSwapLayerBuffers(long long)
-@ stub wglSwapMultipleBuffers
+@ stdcall wglSwapMultipleBuffers(long ptr)
 @ stdcall wglUseFontBitmapsA(long long long long)
 @ stdcall wglUseFontBitmapsW(long long long long)
 @ stdcall wglUseFontOutlinesA(long long long long float float long ptr)
diff --git a/dlls/opengl32/wgl.c b/dlls/opengl32/wgl.c
index c6018b0c7b..89aaf31a9a 100644
--- a/dlls/opengl32/wgl.c
+++ b/dlls/opengl32/wgl.c
@@ -968,6 +968,16 @@ BOOL WINAPI wglSwapLayerBuffers(HDC hdc,
   return TRUE;
 }
 
+/***********************************************************************
+ *		wglSwapLayerBuffers (OPENGL32.@)
+ */
+BOOL WINAPI wglSwapMultipleBuffers(UINT num,
+				const WGLSWAP *swp) {
+  FIXME("(%d, %p): stub!\n", num, swp);
+
+  return 0;
+}
+
 /***********************************************************************
  *		wglBindTexImageARB
  *
diff --git a/include/wingdi.h b/include/wingdi.h
index 0a456f8230..0170e19661 100644
--- a/include/wingdi.h
+++ b/include/wingdi.h
@@ -3996,6 +3996,14 @@ WINGDIAPI BOOL        WINAPI PolyTextOutW(HDC,const POLYTEXTW*,INT);
 #define WGL_SWAP_UNDERLAY14 (1 << 29)
 #define WGL_SWAP_UNDERLAY15 (1 << 30)
 
+typedef struct _WGLSWAP
+{
+    HDC hdc;
+    UINT uiFlags;
+} WGLSWAP, *PWGLSWAP, **LPWGLSWAP;
+
+#define WGL_SWAPMULTIPLE_MAX 16
+
 #define WGL_FONT_LINES      0
 #define WGL_FONT_POLYGONS   1
 
@@ -4014,6 +4022,7 @@ WGLAPI BOOL    WINAPI wglRealizeLayerPalette(HDC,INT,BOOL);
 WGLAPI INT     WINAPI wglSetLayerPaletteEntries(HDC,INT,INT,INT,const COLORREF *);
 WGLAPI BOOL    WINAPI wglShareLists(HGLRC,HGLRC);
 WGLAPI BOOL    WINAPI wglSwapLayerBuffers(HDC,UINT);
+WGLAPI BOOL    WINAPI wglSwapMultipleBuffers(UINT,const WGLSWAP *);
 WGLAPI BOOL    WINAPI wglUseFontBitmapsA(HDC,DWORD,DWORD,DWORD);
 WGLAPI BOOL    WINAPI wglUseFontBitmapsW(HDC,DWORD,DWORD,DWORD);
 #define               wglUseFontBitmaps WINELIB_NAME_AW(wglUseFontBitmaps)
-- 
2.26.0

